Bug 1661348 - python-docker: Remove (sub)packages from Fedora 30+: python2-docker, python2-docker-tests
Summary: python-docker: Remove (sub)packages from Fedora 30+: python2-docker, python2-...
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: python-docker
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Tomas Tomecek
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: PY2REMOVAL
TreeView+ depends on / blocked
 
Reported: 2018-12-20 23:46 UTC by Miro Hrončok
Modified: 2019-02-03 10:49 UTC (History)
3 users (show)

Fixed In Version: python-docker-3.5.0-2.fc30
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-02-03 10:49:50 UTC
Type: ---


Attachments (Terms of Use)

Description Miro Hrončok 2018-12-20 23:46:54 UTC
In line with the Mass Python 2 Package Removal [0], the following (sub)packages of python-docker were marked for removal:

 * python2-docker
 * python2-docker-tests

According to our query, those (sub)packages only provide a Python 2 importable module. If this is not true, please tell us why, so we can fix our query.

Please remove them from your package.

As said in the change document, if there is no objection in a week, we will remove the package(s) as soon as we get to it. This change might not match your packaging style, so we'd prefer if you did the change. If you need more time, please let us know here.

If you do the change yourself, it would help us a lot by reducing the amount of packages we need to mass change.

We hope this doesn't come to you as a surprise. If you want to know our motivation for this, please read the change document [0].

[0] https://fedoraproject.org/wiki/Changes/Mass_Python_2_Package_Removal

Comment 1 Tomas Tomecek 2019-01-04 11:52:55 UTC
Fixed by: https://src.fedoraproject.org/rpms/python-docker/c/80bab9a4050213905a31502ba5e8e03e4ed0e131?branch=master

next build won't contain python2 subpackage

Comment 2 Miro Hrončok 2019-01-04 13:19:29 UTC
Thanks.

If you not build the package now, it's fine, however the automatic bug for python-docker-pycreds won't get open created. But that one is your as well. Shall I create the bugzilla manually, or is this note enough?

Comment 3 Tomas Tomecek 2019-01-04 15:36:43 UTC
I fixed pycreds as well: https://src.fedoraproject.org/rpms/python-docker-pycreds/c/39d4ff32c01258a6bd875e1c48f0058edd7e6997?branch=master

I think I'll wait for a mass rebuild to do the builds.

Comment 4 Miro Hrončok 2019-01-04 15:42:09 UTC
Thanks again. Feel free to wait, I see no more packages waiting on the removal of those two.

Comment 5 Miro Hrončok 2019-02-03 10:38:00 UTC
The package FTBFS suring the mass rebuild, effectively blocking this to happen:

https://koji.fedoraproject.org/koji/taskinfo?taskID=32454681

probably just a missing git require, will give it a try.

Comment 6 Miro Hrončok 2019-02-03 10:49:50 UTC
Built.


Note You need to log in before you can comment on or make changes to this bug.